Bug 146132 - RFE : atd should use PAM for authentication
Summary: RFE : atd should use PAM for authentication
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: at   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 145411
TreeView+ depends on / blocked
 
Reported: 2005-01-25 16:55 UTC by Jason Vas Dias
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version: FC-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 00:00:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Vas Dias 2005-01-25 16:55:29 UTC
Description of problem:

atd authentication should be controlled by PAM, as requested
in Bug #5610, Bug #138588, etc.  Using PAM for authentication
in atd would also allow the LAUS patches to be removed from atd,
as all LAUS logging would be done in the pam_laus module.
 
I'll start off getting it working in rawhide/FC4, then perhaps
after testing it could be submitted to RHEL-4 & RHEL-3 update
releases.

Version-Release number of selected component (if applicable):

at-3.1.8

How reproducible:
100%

Steps to Reproduce:
Expect at(1) access to be controlled by PAM .
  
Actual results:
It is not.

Expected results:
Access to at(1) should be controlled by PAM .

Additional info:

Comment 1 Jason Vas Dias 2005-01-25 23:21:46 UTC
at-3.1.8-64+ in FC4/rawhide and shortly in FC3 now supports PAM
authentication control.

Comment 3 Jason Vas Dias 2005-02-26 18:36:43 UTC
I don't see any problems with submitting this to RHEL-4 .
It's been working in Rawhide for the past month, and is
now in FC3 . If no problems show up, I'll submit this to
RHEL-4 soon.


Comment 6 Marius Andreiana 2005-08-20 07:17:05 UTC
Jason, any updates on RHEL 4?

Comment 7 Jason Vas Dias 2006-03-16 00:00:47 UTC
This bug can now be closed - atd now uses PAM in RHEL-4, FC-4, and FC-5 
(I guess it is too much to try and get this into RHEL-3).



Note You need to log in before you can comment on or make changes to this bug.